🚧 [Experimental] Create wizard chart
Creates a new wizard chart.
Request
POST
https://api.datalens.tech/rpc/createWizardChart
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"data": {
"sources": {
"datasetsIds": [
"example"
],
"updates": [
{}
],
"links": [
{}
],
"hierarchies": [
{}
],
"filters": [
{}
]
},
"visualization": {
"type": "line",
"chartSettings": {},
"x": {},
"y": {},
"y2": {},
"colors": {},
"shapes": {},
"labels": {},
"sort": {},
"segments": {}
}
},
"annotation": {
"description": "example"
},
"key": "example",
"workbookId": "example",
"name": "example"
}
All of 2 types
-
Type: object
data
Type: WizardV1ConfigSchema
Example
{ "sources": { "datasetsIds": [ "example" ], "updates": [ { "action": "add_field", "field": { "guid": "example", "datasetId": "example", "title": "example", "type": "DIMENSION", "calc_mode": "formula", "formula": "example", "aggregation": "example", "cast": "example", "source": "example", "data_type": "date", "aggregation_locked": true, "autoaggregated": true, "grouping": "example", "fakeTitle": "example", "originalTitle": "example", "avatar_id": "example", "local": true, "quickFormula": true, "originalFormula": "example", "originalSource": "example", "originalDateCast": null, "format": "example", "default_value": null }, "debug_info": "example" } ], "links": [ { "id": "example", "fields": {} } ], "hierarchies": [ { "guid": "example", "title": "example", "fields": [ {} ] } ], "filters": [ { "guid": "example", "datasetId": "example", "fakeTitle": "example", "filter": { "operation": {}, "value": null } } ] }, "visualization": { "type": "line", "chartSettings": { "title": "example", "titleMode": "show", "legendMode": "show", "tooltip": "show", "tooltipSum": "on", "feed": "example", "navigatorSettings": { "navigatorMode": "show", "selectedLines": [ null ], "linesMode": "all", "periodSettings": {} } }, "x": { "items": [ null ], "settings": { "title": "auto", "titleValue": "example", "type": "linear", "grid": "on", "gridStep": "auto", "gridStepValue": 0.5, "hideLabels": "yes", "labelsView": "auto", "axisLabelFormatting": {}, "axisLabelDateFormat": "example", "axisFormatMode": "auto", "axisVisibility": "show", "holidays": "on", "axisModeMap": {} } }, "y": { "items": [ null ], "settings": { "title": "auto", "titleValue": "example", "type": "linear", "grid": "on", "gridStep": "auto", "gridStepValue": 0.5, "hideLabels": "yes", "labelsView": "auto", "axisLabelFormatting": {}, "axisLabelDateFormat": "example", "axisFormatMode": "auto", "axisVisibility": "show", "scale": "auto", "scaleValue": null, "nulls": "ignore" } }, "y2": { "items": [ null ], "settings": { "title": "auto", "titleValue": "example", "type": "linear", "grid": "on", "gridStep": "auto", "gridStepValue": 0.5, "hideLabels": "yes", "labelsView": "auto", "axisLabelFormatting": {}, "axisLabelDateFormat": "example", "axisFormatMode": "auto", "axisVisibility": "show", "scale": "auto", "scaleValue": null, "nulls": "ignore" } }, "colors": { "items": [ null ], "settings": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "polygonBorders": "show", "reversed": true, "fieldGuid": "example", "mountedColors": {}, "coloredByMeasure": true, "palette": "example", "colorMode": "palette", "nullMode": "ignore" } }, "shapes": { "items": [ null ], "settings": { "fieldGuid": "example", "mountedShapes": {}, "lineSettings": {}, "commonLineSettings": {} } }, "labels": { "items": [ null ], "settings": { "overlap": "on" } }, "sort": { "items": [ null ] }, "segments": { "items": [ null ] } } }annotation
Type: EntryAnnotationArg
Example
{ "description": "example" }Example
{ "data": { "sources": { "datasetsIds": [ "example" ], "updates": [ { "action": "add_field", "field": {}, "debug_info": "example" } ], "links": [ { "id": "example", "fields": {} } ], "hierarchies": [ { "guid": "example", "title": "example", "fields": [ null ] } ], "filters": [ { "guid": "example", "datasetId": "example", "fakeTitle": "example", "filter": {} } ] }, "visualization": { "type": "line", "chartSettings": { "title": "example", "titleMode": "show", "legendMode": "show", "tooltip": "show", "tooltipSum": "on", "feed": "example", "navigatorSettings": {} }, "x": { "items": [ null ], "settings": {} }, "y": { "items": [ null ], "settings": {} }, "y2": { "items": [ null ], "settings": {} }, "colors": { "items": [ null ], "settings": {} }, "shapes": { "items": [ null ], "settings": {} }, "labels": { "items": [ null ], "settings": {} }, "sort": { "items": [ null ] }, "segments": { "items": [ null ] } } }, "annotation": { "description": "example" } } -
Type: EntryLocationIdentifiers
Example
{ "key": "example", "workbookId": "example", "name": "example" }
WizardV1FiltersItemSchema
|
Name |
Description |
||||||
|
datasetId |
Type: string Identifier of the dataset containing the field. Example: |
||||||
|
filter |
Type: object
Filter applied to the field. Example
|
||||||
|
guid |
Type: string Identifier of the field used for filtering. Example: |
||||||
|
fakeTitle |
Type: string Chart-local display title override for the field. Example: |
Example
{
"guid": "example",
"datasetId": "example",
"fakeTitle": "example",
"filter": {
"operation": {
"code": "example"
},
"value": "example"
}
}
WizardFieldSchema
Any of 4 types
-
Type: object
data_type
Type: string
Data type identifying this field as a hierarchy.
Const:
hierarchyExample:
examplefields
Type: object[]
datasetId
Type: string
Identifier of the dataset containing the field.
Example:
exampleguid
Type: string
Field identifier.
Example:
examplebackgroundSettings
Type: object
colorFieldGuid
Type: string
Identifier of the field used to color the background.
Example:
exampleenabled
Type: boolean
Whether conditional background coloring is enabled.
settings
Type: object
gradientState
Type: object
gradientMode
Type: string
Gradient type.
Enum:
2-point,3-pointgradientPalette
Type: string
Gradient palette identifier.
Example:
exampleleftThreshold
Type: string
Lower gradient threshold.
Example:
examplemiddleThreshold
Type: string
Middle gradient threshold.
Example:
examplenullMode
Type: string
How null values are colored.
Enum:
ignore,as-0reversed
Type: boolean
Whether to reverse the gradient palette.
rightThreshold
Type: string
Upper gradient threshold.
Example:
examplethresholdsMode
Type: string
Mode used to calculate gradient thresholds.
Enum:
auto,manualContinuous gradient settings.
Example
{ "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }isContinuous
Type: boolean
Whether to use continuous instead of discrete coloring.
paletteState
Type: object
mountedColors
Type: object
[additional]
Type: string
Example:
exampleMapping of field values to colors.
Example
{}palette
Type: string
Color palette identifier.
Example:
exampleDiscrete palette settings.
Example
{ "mountedColors": {}, "palette": "example" }Background color configuration.
Example
{ "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true }settingsId
Type: string
Identifier of the background color settings.
Example:
exampleConditional background settings.
Example
{ "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true } }barsSettings
Type: object
align
Type: string
Bar alignment within table cells.
Enum:
left,right,defaultcolorSettings
One of 3 types
-
Type: object
colorType
Type: string
Use a gradient to color bars.
Const:
gradientExample:
examplesettings
Type: object
gradientType
Type: string
Gradient type.
Enum:
2-point,3-pointthresholds
One of 2 types
-
Type: object
mode
Type: string
Calculate gradient thresholds automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
max
Type: string
Upper gradient threshold.
Example:
examplemin
Type: string
Lower gradient threshold.
Example:
examplemode
Type: string
Use manually specified gradient thresholds.
Const:
manualExample:
examplemid
Type: string
Middle gradient threshold.
Example:
exampleExample
{ "mode": "manual", "min": "example", "mid": "example", "max": "example" }
Thresholds that define the gradient color scale.
Example
{ "mode": "auto" }palette
Type: string
Color palette identifier.
Example:
examplereversed
Type: boolean
Whether to reverse the color palette.
Gradient bar color settings.
Example
{ "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true }Example
{ "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true } } -
-
Type: object
colorType
Type: string
Use one color for all bars.
Const:
one-colorExample:
examplesettings
Type: object
color
Type: string
Custom bar color.
Example:
examplecolorIndex
Type: number
Selected color index in the palette.
palette
Type: string
Color palette identifier.
Example:
exampleSingle-color bar settings.
Example
{ "palette": "example", "colorIndex": 0.5, "color": "example" }Example
{ "colorType": "one-color", "settings": { "palette": "example", "colorIndex": 0.5, "color": "example" } } -
Type: object
colorType
Type: string
Use separate colors for negative and positive bars.
Const:
two-colorExample:
examplesettings
Type: object
negativeColor
Type: string
Custom color for negative values.
Example:
examplenegativeColorIndex
Type: number
Palette color index for negative values.
palette
Type: string
Color palette identifier.
Example:
examplepositiveColor
Type: string
Custom color for positive values.
Example:
examplepositiveColorIndex
Type: number
Palette color index for positive values.
Two-color bar settings.
Example
{ "palette": "example", "negativeColorIndex": 0.5, "negativeColor": "example", "positiveColorIndex": 0.5, "positiveColor": "example" }Example
{ "colorType": "two-color", "settings": { "palette": "example", "negativeColorIndex": 0.5, "negativeColor": "example", "positiveColorIndex": 0.5, "positiveColor": "example" } }
Bar color settings.
Example
{ "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true } }enabled
Type: boolean
Whether to display bars in table cells.
scale
One of 2 types
-
Type: object
mode
Type: string
Calculate the bar scale automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
mode
Type: string
Use a manually specified bar scale.
Const:
manualExample:
examplesettings
Type: object
max
Type: string
Manual maximum scale value.
Example:
examplemin
Type: string
Manual minimum scale value.
Example:
exampleManual bar scale boundaries.
Example
{ "min": "example", "max": "example" }Example
{ "mode": "manual", "settings": { "min": "example", "max": "example" } }
Scale used to calculate bar lengths.
Example
{ "mode": "auto" }showBarsInTotals
Type: boolean
Whether to display bars in total rows.
showLabels
Type: boolean
Whether to display values over bars.
In-cell bar settings.
Example
{ "enabled": true, "colorSettings": { "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": {}, "palette": "example", "reversed": true } }, "showLabels": true, "align": "left", "scale": { "mode": "auto" }, "showBarsInTotals": true }columnSettings
Type: object
width
One of 3 types
-
Type: object
mode
Type: string
Calculate the column width automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
mode
Type: string
Set the column width as a percentage.
Const:
percentExample:
examplevalue
Type: string
Column width percentage.
Example:
exampleExample
{ "mode": "percent", "value": "example" } -
Type: object
mode
Type: string
Set the column width in pixels.
Const:
pixelExample:
examplevalue
Type: string
Column width in pixels.
Example:
exampleExample
{ "mode": "pixel", "value": "example" }
Table column width settings.
Example
{ "mode": "auto" }horizontalAlignment
Type: string
Horizontal alignment of values in the column.
Enum:
auto,start,center,endTable column settings.
Example
{ "width": { "mode": "auto" }, "horizontalAlignment": "auto" }fakeTitle
Type: string
Chart-local display title override for the field.
Example:
exampleformat
Type: string
Date or datetime format, separate from numeric formatting.
Example:
exampleformatting
Type: object
format
Type: string
Number formatting mode.
Enum:
number,percentlabelMode
Type: string
How the formatted label is displayed.
Enum:
absolute,percentpostfix
Type: string
Text displayed after the formatted value.
Example:
exampleprecision
Type: number
Number of decimal places to display.
prefix
Type: string
Text displayed before the formatted value.
Example:
exampleshowRankDelimiter
Type: boolean
Whether to separate digit groups in numbers.
unit
Type: string
Unit used to scale the numeric value.
Enum:
auto,k,m,b,tNumeric formatting settings for the field.
Example
{ "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }hideLabelMode
Type: string
Whether to hide the field label.
Enum:
show,hidehintSettings
Type: object
enabled
Type: boolean
Whether the field hint is enabled.
text
Type: string
Hint text displayed for the field.
Example:
exampleField hint settings.
Example
{ "enabled": true, "text": "example" }markupType
Type: string
Markup type used to render field values.
Enum:
none,md,htmlsubTotalsSettings
Type: object
enabled
Type: boolean
Whether to display subtotals for the field.
Subtotal settings.
Example
{ "enabled": true }Fields included in the hierarchy.
Example
[ { "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": { "colorType": "gradient", "settings": {} }, "showLabels": true, "align": "left", "scale": { "mode": "auto" }, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true } }, "columnSettings": { "width": { "mode": "auto" }, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "guid": "example", "datasetId": "example" } ]guid
Type: string
Hierarchy identifier.
Example:
exampletitle
Type: string
Hierarchy display title.
Example:
examplebackgroundSettings
Type: object
colorFieldGuid
Type: string
Identifier of the field used to color the background.
Example:
exampleenabled
Type: boolean
Whether conditional background coloring is enabled.
settings
Type: object
gradientState
Type: object
gradientMode
Type: string
Gradient type.
Enum:
2-point,3-pointgradientPalette
Type: string
Gradient palette identifier.
Example:
exampleleftThreshold
Type: string
Lower gradient threshold.
Example:
examplemiddleThreshold
Type: string
Middle gradient threshold.
Example:
examplenullMode
Type: string
How null values are colored.
Enum:
ignore,as-0reversed
Type: boolean
Whether to reverse the gradient palette.
rightThreshold
Type: string
Upper gradient threshold.
Example:
examplethresholdsMode
Type: string
Mode used to calculate gradient thresholds.
Enum:
auto,manualContinuous gradient settings.
Example
{ "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }isContinuous
Type: boolean
Whether to use continuous instead of discrete coloring.
paletteState
Type: object
mountedColors
Type: object
[additional]
Type: string
Example:
exampleMapping of field values to colors.
Example
{}palette
Type: string
Color palette identifier.
Example:
exampleDiscrete palette settings.
Example
{ "mountedColors": {}, "palette": "example" }Background color configuration.
Example
{ "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true }settingsId
Type: string
Identifier of the background color settings.
Example:
exampleConditional background settings.
Example
{ "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true } }barsSettings
Type: object
align
Type: string
Bar alignment within table cells.
Enum:
left,right,defaultcolorSettings
One of 3 types
-
Type: object
colorType
Type: string
Use a gradient to color bars.
Const:
gradientExample:
examplesettings
Type: object
gradientType
Type: string
Gradient type.
Enum:
2-point,3-pointthresholds
One of 2 types
-
Type: object
mode
Type: string
Calculate gradient thresholds automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
max
Type: string
Upper gradient threshold.
Example:
examplemin
Type: string
Lower gradient threshold.
Example:
examplemode
Type: string
Use manually specified gradient thresholds.
Const:
manualExample:
examplemid
Type: string
Middle gradient threshold.
Example:
exampleExample
{ "mode": "manual", "min": "example", "mid": "example", "max": "example" }
Thresholds that define the gradient color scale.
Example
{ "mode": "auto" }palette
Type: string
Color palette identifier.
Example:
examplereversed
Type: boolean
Whether to reverse the color palette.
Gradient bar color settings.
Example
{ "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true }Example
{ "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true } } -
-
Type: object
colorType
Type: string
Use one color for all bars.
Const:
one-colorExample:
examplesettings
Type: object
color
Type: string
Custom bar color.
Example:
examplecolorIndex
Type: number
Selected color index in the palette.
palette
Type: string
Color palette identifier.
Example:
exampleSingle-color bar settings.
Example
{ "palette": "example", "colorIndex": 0.5, "color": "example" }Example
{ "colorType": "one-color", "settings": { "palette": "example", "colorIndex": 0.5, "color": "example" } } -
Type: object
colorType
Type: string
Use separate colors for negative and positive bars.
Const:
two-colorExample:
examplesettings
Type: object
negativeColor
Type: string
Custom color for negative values.
Example:
examplenegativeColorIndex
Type: number
Palette color index for negative values.
palette
Type: string
Color palette identifier.
Example:
examplepositiveColor
Type: string
Custom color for positive values.
Example:
examplepositiveColorIndex
Type: number
Palette color index for positive values.
Two-color bar settings.
Example
{ "palette": "example", "negativeColorIndex": 0.5, "negativeColor": "example", "positiveColorIndex": 0.5, "positiveColor": "example" }Example
{ "colorType": "two-color", "settings": { "palette": "example", "negativeColorIndex": 0.5, "negativeColor": "example", "positiveColorIndex": 0.5, "positiveColor": "example" } }
Bar color settings.
Example
{ "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true } }enabled
Type: boolean
Whether to display bars in table cells.
scale
One of 2 types
-
Type: object
mode
Type: string
Calculate the bar scale automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
mode
Type: string
Use a manually specified bar scale.
Const:
manualExample:
examplesettings
Type: object
max
Type: string
Manual maximum scale value.
Example:
examplemin
Type: string
Manual minimum scale value.
Example:
exampleManual bar scale boundaries.
Example
{ "min": "example", "max": "example" }Example
{ "mode": "manual", "settings": { "min": "example", "max": "example" } }
Scale used to calculate bar lengths.
Example
{ "mode": "auto" }showBarsInTotals
Type: boolean
Whether to display bars in total rows.
showLabels
Type: boolean
Whether to display values over bars.
In-cell bar settings.
Example
{ "enabled": true, "colorSettings": { "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": {}, "palette": "example", "reversed": true } }, "showLabels": true, "align": "left", "scale": { "mode": "auto" }, "showBarsInTotals": true }columnSettings
Type: object
width
One of 3 types
-
Type: object
mode
Type: string
Calculate the column width automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
mode
Type: string
Set the column width as a percentage.
Const:
percentExample:
examplevalue
Type: string
Column width percentage.
Example:
exampleExample
{ "mode": "percent", "value": "example" } -
Type: object
mode
Type: string
Set the column width in pixels.
Const:
pixelExample:
examplevalue
Type: string
Column width in pixels.
Example:
exampleExample
{ "mode": "pixel", "value": "example" }
Table column width settings.
Example
{ "mode": "auto" }horizontalAlignment
Type: string
Horizontal alignment of values in the column.
Enum:
auto,start,center,endTable column settings.
Example
{ "width": { "mode": "auto" }, "horizontalAlignment": "auto" }fakeTitle
Type: string
Chart-local display title override for the field.
Example:
exampleformat
Type: string
Date or datetime format, separate from numeric formatting.
Example:
exampleformatting
Type: object
format
Type: string
Number formatting mode.
Enum:
number,percentlabelMode
Type: string
How the formatted label is displayed.
Enum:
absolute,percentpostfix
Type: string
Text displayed after the formatted value.
Example:
exampleprecision
Type: number
Number of decimal places to display.
prefix
Type: string
Text displayed before the formatted value.
Example:
exampleshowRankDelimiter
Type: boolean
Whether to separate digit groups in numbers.
unit
Type: string
Unit used to scale the numeric value.
Enum:
auto,k,m,b,tNumeric formatting settings for the field.
Example
{ "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }hideLabelMode
Type: string
Whether to hide the field label.
Enum:
show,hidehintSettings
Type: object
enabled
Type: boolean
Whether the field hint is enabled.
text
Type: string
Hint text displayed for the field.
Example:
exampleField hint settings.
Example
{ "enabled": true, "text": "example" }markupType
Type: string
Markup type used to render field values.
Enum:
none,md,htmlsubTotalsSettings
Type: object
enabled
Type: boolean
Whether to display subtotals for the field.
Subtotal settings.
Example
{ "enabled": true }Example
{ "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": { "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": null, "palette": "example", "reversed": true } }, "showLabels": true, "align": "left", "scale": { "mode": "auto" }, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true } }, "columnSettings": { "width": { "mode": "auto" }, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "guid": "example", "title": "example", "data_type": "hierarchy", "fields": [ { "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": {}, "showLabels": true, "align": "left", "scale": {}, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": {}, "gradientState": {}, "isContinuous": true } }, "columnSettings": { "width": {}, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "guid": "example", "datasetId": "example" } ] } -
-
Type: object
datasetId
Type: string
Identifier of the dataset containing the field.
Example:
exampleguid
Type: string
Field identifier.
Example:
examplebackgroundSettings
Type: object
colorFieldGuid
Type: string
Identifier of the field used to color the background.
Example:
exampleenabled
Type: boolean
Whether conditional background coloring is enabled.
settings
Type: object
gradientState
Type: object
gradientMode
Type: string
Gradient type.
Enum:
2-point,3-pointgradientPalette
Type: string
Gradient palette identifier.
Example:
exampleleftThreshold
Type: string
Lower gradient threshold.
Example:
examplemiddleThreshold
Type: string
Middle gradient threshold.
Example:
examplenullMode
Type: string
How null values are colored.
Enum:
ignore,as-0reversed
Type: boolean
Whether to reverse the gradient palette.
rightThreshold
Type: string
Upper gradient threshold.
Example:
examplethresholdsMode
Type: string
Mode used to calculate gradient thresholds.
Enum:
auto,manualContinuous gradient settings.
Example
{ "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }isContinuous
Type: boolean
Whether to use continuous instead of discrete coloring.
paletteState
Type: object
mountedColors
Type: object
[additional]
Type: string
Example:
exampleMapping of field values to colors.
Example
{}palette
Type: string
Color palette identifier.
Example:
exampleDiscrete palette settings.
Example
{ "mountedColors": {}, "palette": "example" }Background color configuration.
Example
{ "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true }settingsId
Type: string
Identifier of the background color settings.
Example:
exampleConditional background settings.
Example
{ "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true } }barsSettings
Type: object
align
Type: string
Bar alignment within table cells.
Enum:
left,right,defaultcolorSettings
One of 3 types
-
Type: object
colorType
Type: string
Use a gradient to color bars.
Const:
gradientExample:
examplesettings
Type: object
gradientType
Type: string
Gradient type.
Enum:
2-point,3-pointthresholds
One of 2 types
-
Type: object
mode
Type: string
Calculate gradient thresholds automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
max
Type: string
Upper gradient threshold.
Example:
examplemin
Type: string
Lower gradient threshold.
Example:
examplemode
Type: string
Use manually specified gradient thresholds.
Const:
manualExample:
examplemid
Type: string
Middle gradient threshold.
Example:
exampleExample
{ "mode": "manual", "min": "example", "mid": "example", "max": "example" }
Thresholds that define the gradient color scale.
Example
{ "mode": "auto" }palette
Type: string
Color palette identifier.
Example:
examplereversed
Type: boolean
Whether to reverse the color palette.
Gradient bar color settings.
Example
{ "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true }Example
{ "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true } } -
-
Type: object
colorType
Type: string
Use one color for all bars.
Const:
one-colorExample:
examplesettings
Type: object
color
Type: string
Custom bar color.
Example:
examplecolorIndex
Type: number
Selected color index in the palette.
palette
Type: string
Color palette identifier.
Example:
exampleSingle-color bar settings.
Example
{ "palette": "example", "colorIndex": 0.5, "color": "example" }Example
{ "colorType": "one-color", "settings": { "palette": "example", "colorIndex": 0.5, "color": "example" } } -
Type: object
colorType
Type: string
Use separate colors for negative and positive bars.
Const:
two-colorExample:
examplesettings
Type: object
negativeColor
Type: string
Custom color for negative values.
Example:
examplenegativeColorIndex
Type: number
Palette color index for negative values.
palette
Type: string
Color palette identifier.
Example:
examplepositiveColor
Type: string
Custom color for positive values.
Example:
examplepositiveColorIndex
Type: number
Palette color index for positive values.
Two-color bar settings.
Example
{ "palette": "example", "negativeColorIndex": 0.5, "negativeColor": "example", "positiveColorIndex": 0.5, "positiveColor": "example" }Example
{ "colorType": "two-color", "settings": { "palette": "example", "negativeColorIndex": 0.5, "negativeColor": "example", "positiveColorIndex": 0.5, "positiveColor": "example" } }
Bar color settings.
Example
{ "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true } }enabled
Type: boolean
Whether to display bars in table cells.
scale
One of 2 types
-
Type: object
mode
Type: string
Calculate the bar scale automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
mode
Type: string
Use a manually specified bar scale.
Const:
manualExample:
examplesettings
Type: object
max
Type: string
Manual maximum scale value.
Example:
examplemin
Type: string
Manual minimum scale value.
Example:
exampleManual bar scale boundaries.
Example
{ "min": "example", "max": "example" }Example
{ "mode": "manual", "settings": { "min": "example", "max": "example" } }
Scale used to calculate bar lengths.
Example
{ "mode": "auto" }showBarsInTotals
Type: boolean
Whether to display bars in total rows.
showLabels
Type: boolean
Whether to display values over bars.
In-cell bar settings.
Example
{ "enabled": true, "colorSettings": { "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": {}, "palette": "example", "reversed": true } }, "showLabels": true, "align": "left", "scale": { "mode": "auto" }, "showBarsInTotals": true }columnSettings
Type: object
width
One of 3 types
-
Type: object
mode
Type: string
Calculate the column width automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
mode
Type: string
Set the column width as a percentage.
Const:
percentExample:
examplevalue
Type: string
Column width percentage.
Example:
exampleExample
{ "mode": "percent", "value": "example" } -
Type: object
mode
Type: string
Set the column width in pixels.
Const:
pixelExample:
examplevalue
Type: string
Column width in pixels.
Example:
exampleExample
{ "mode": "pixel", "value": "example" }
Table column width settings.
Example
{ "mode": "auto" }horizontalAlignment
Type: string
Horizontal alignment of values in the column.
Enum:
auto,start,center,endTable column settings.
Example
{ "width": { "mode": "auto" }, "horizontalAlignment": "auto" }fakeTitle
Type: string
Chart-local display title override for the field.
Example:
exampleformat
Type: string
Date or datetime format, separate from numeric formatting.
Example:
exampleformatting
Type: object
format
Type: string
Number formatting mode.
Enum:
number,percentlabelMode
Type: string
How the formatted label is displayed.
Enum:
absolute,percentpostfix
Type: string
Text displayed after the formatted value.
Example:
exampleprecision
Type: number
Number of decimal places to display.
prefix
Type: string
Text displayed before the formatted value.
Example:
exampleshowRankDelimiter
Type: boolean
Whether to separate digit groups in numbers.
unit
Type: string
Unit used to scale the numeric value.
Enum:
auto,k,m,b,tNumeric formatting settings for the field.
Example
{ "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }hideLabelMode
Type: string
Whether to hide the field label.
Enum:
show,hidehintSettings
Type: object
enabled
Type: boolean
Whether the field hint is enabled.
text
Type: string
Hint text displayed for the field.
Example:
exampleField hint settings.
Example
{ "enabled": true, "text": "example" }markupType
Type: string
Markup type used to render field values.
Enum:
none,md,htmlsubTotalsSettings
Type: object
enabled
Type: boolean
Whether to display subtotals for the field.
Subtotal settings.
Example
{ "enabled": true }Example
{ "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": { "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": null, "palette": "example", "reversed": true } }, "showLabels": true, "align": "left", "scale": { "mode": "auto" }, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true } }, "columnSettings": { "width": { "mode": "auto" }, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "guid": "example", "datasetId": "example" } -
-
Type: object
data_type
Type: string
String data type of the Measure Names pseudo-field.
Const:
stringExample:
exampletitle
Type: string
Title identifying the Measure Names pseudo-field.
Const:
Measure NamesExample:
exampletype
Type: string
Field type identifying a pseudo-field.
Const:
PSEUDOExample:
examplebackgroundSettings
Type: object
colorFieldGuid
Type: string
Identifier of the field used to color the background.
Example:
exampleenabled
Type: boolean
Whether conditional background coloring is enabled.
settings
Type: object
gradientState
Type: object
gradientMode
Type: string
Gradient type.
Enum:
2-point,3-pointgradientPalette
Type: string
Gradient palette identifier.
Example:
exampleleftThreshold
Type: string
Lower gradient threshold.
Example:
examplemiddleThreshold
Type: string
Middle gradient threshold.
Example:
examplenullMode
Type: string
How null values are colored.
Enum:
ignore,as-0reversed
Type: boolean
Whether to reverse the gradient palette.
rightThreshold
Type: string
Upper gradient threshold.
Example:
examplethresholdsMode
Type: string
Mode used to calculate gradient thresholds.
Enum:
auto,manualContinuous gradient settings.
Example
{ "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }isContinuous
Type: boolean
Whether to use continuous instead of discrete coloring.
paletteState
Type: object
mountedColors
Type: object
[additional]
Type: string
Example:
exampleMapping of field values to colors.
Example
{}palette
Type: string
Color palette identifier.
Example:
exampleDiscrete palette settings.
Example
{ "mountedColors": {}, "palette": "example" }Background color configuration.
Example
{ "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true }settingsId
Type: string
Identifier of the background color settings.
Example:
exampleConditional background settings.
Example
{ "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true } }barsSettings
Type: object
align
Type: string
Bar alignment within table cells.
Enum:
left,right,defaultcolorSettings
One of 3 types
-
Type: object
colorType
Type: string
Use a gradient to color bars.
Const:
gradientExample:
examplesettings
Type: object
gradientType
Type: string
Gradient type.
Enum:
2-point,3-pointthresholds
One of 2 types
-
Type: object
mode
Type: string
Calculate gradient thresholds automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
max
Type: string
Upper gradient threshold.
Example:
examplemin
Type: string
Lower gradient threshold.
Example:
examplemode
Type: string
Use manually specified gradient thresholds.
Const:
manualExample:
examplemid
Type: string
Middle gradient threshold.
Example:
exampleExample
{ "mode": "manual", "min": "example", "mid": "example", "max": "example" }
Thresholds that define the gradient color scale.
Example
{ "mode": "auto" }palette
Type: string
Color palette identifier.
Example:
examplereversed
Type: boolean
Whether to reverse the color palette.
Gradient bar color settings.
Example
{ "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true }Example
{ "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true } } -
-
Type: object
colorType
Type: string
Use one color for all bars.
Const:
one-colorExample:
examplesettings
Type: object
color
Type: string
Custom bar color.
Example:
examplecolorIndex
Type: number
Selected color index in the palette.
palette
Type: string
Color palette identifier.
Example:
exampleSingle-color bar settings.
Example
{ "palette": "example", "colorIndex": 0.5, "color": "example" }Example
{ "colorType": "one-color", "settings": { "palette": "example", "colorIndex": 0.5, "color": "example" } } -
Type: object
colorType
Type: string
Use separate colors for negative and positive bars.
Const:
two-colorExample:
examplesettings
Type: object
negativeColor
Type: string
Custom color for negative values.
Example:
examplenegativeColorIndex
Type: number
Palette color index for negative values.
palette
Type: string
Color palette identifier.
Example:
examplepositiveColor
Type: string
Custom color for positive values.
Example:
examplepositiveColorIndex
Type: number
Palette color index for positive values.
Two-color bar settings.
Example
{ "palette": "example", "negativeColorIndex": 0.5, "negativeColor": "example", "positiveColorIndex": 0.5, "positiveColor": "example" }Example
{ "colorType": "two-color", "settings": { "palette": "example", "negativeColorIndex": 0.5, "negativeColor": "example", "positiveColorIndex": 0.5, "positiveColor": "example" } }
Bar color settings.
Example
{ "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true } }enabled
Type: boolean
Whether to display bars in table cells.
scale
One of 2 types
-
Type: object
mode
Type: string
Calculate the bar scale automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
mode
Type: string
Use a manually specified bar scale.
Const:
manualExample:
examplesettings
Type: object
max
Type: string
Manual maximum scale value.
Example:
examplemin
Type: string
Manual minimum scale value.
Example:
exampleManual bar scale boundaries.
Example
{ "min": "example", "max": "example" }Example
{ "mode": "manual", "settings": { "min": "example", "max": "example" } }
Scale used to calculate bar lengths.
Example
{ "mode": "auto" }showBarsInTotals
Type: boolean
Whether to display bars in total rows.
showLabels
Type: boolean
Whether to display values over bars.
In-cell bar settings.
Example
{ "enabled": true, "colorSettings": { "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": {}, "palette": "example", "reversed": true } }, "showLabels": true, "align": "left", "scale": { "mode": "auto" }, "showBarsInTotals": true }columnSettings
Type: object
width
One of 3 types
-
Type: object
mode
Type: string
Calculate the column width automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
mode
Type: string
Set the column width as a percentage.
Const:
percentExample:
examplevalue
Type: string
Column width percentage.
Example:
exampleExample
{ "mode": "percent", "value": "example" } -
Type: object
mode
Type: string
Set the column width in pixels.
Const:
pixelExample:
examplevalue
Type: string
Column width in pixels.
Example:
exampleExample
{ "mode": "pixel", "value": "example" }
Table column width settings.
Example
{ "mode": "auto" }horizontalAlignment
Type: string
Horizontal alignment of values in the column.
Enum:
auto,start,center,endTable column settings.
Example
{ "width": { "mode": "auto" }, "horizontalAlignment": "auto" }fakeTitle
Type: string
Chart-local display title override for the field.
Example:
exampleformat
Type: string
Date or datetime format, separate from numeric formatting.
Example:
exampleformatting
Type: object
format
Type: string
Number formatting mode.
Enum:
number,percentlabelMode
Type: string
How the formatted label is displayed.
Enum:
absolute,percentpostfix
Type: string
Text displayed after the formatted value.
Example:
exampleprecision
Type: number
Number of decimal places to display.
prefix
Type: string
Text displayed before the formatted value.
Example:
exampleshowRankDelimiter
Type: boolean
Whether to separate digit groups in numbers.
unit
Type: string
Unit used to scale the numeric value.
Enum:
auto,k,m,b,tNumeric formatting settings for the field.
Example
{ "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }hideLabelMode
Type: string
Whether to hide the field label.
Enum:
show,hidehintSettings
Type: object
enabled
Type: boolean
Whether the field hint is enabled.
text
Type: string
Hint text displayed for the field.
Example:
exampleField hint settings.
Example
{ "enabled": true, "text": "example" }markupType
Type: string
Markup type used to render field values.
Enum:
none,md,htmlsubTotalsSettings
Type: object
enabled
Type: boolean
Whether to display subtotals for the field.
Subtotal settings.
Example
{ "enabled": true }Example
{ "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": { "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": null, "palette": "example", "reversed": true } }, "showLabels": true, "align": "left", "scale": { "mode": "auto" }, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true } }, "columnSettings": { "width": { "mode": "auto" }, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "title": "Measure Names", "type": "PSEUDO", "data_type": "string" } -
-
Type: object
data_type
Type: string
Numeric data type of the Measure Values pseudo-field.
Const:
floatExample:
exampletitle
Type: string
Title identifying the Measure Values pseudo-field.
Const:
Measure ValuesExample:
exampletype
Type: string
Field type identifying a pseudo-field.
Const:
PSEUDOExample:
examplebackgroundSettings
Type: object
colorFieldGuid
Type: string
Identifier of the field used to color the background.
Example:
exampleenabled
Type: boolean
Whether conditional background coloring is enabled.
settings
Type: object
gradientState
Type: object
gradientMode
Type: string
Gradient type.
Enum:
2-point,3-pointgradientPalette
Type: string
Gradient palette identifier.
Example:
exampleleftThreshold
Type: string
Lower gradient threshold.
Example:
examplemiddleThreshold
Type: string
Middle gradient threshold.
Example:
examplenullMode
Type: string
How null values are colored.
Enum:
ignore,as-0reversed
Type: boolean
Whether to reverse the gradient palette.
rightThreshold
Type: string
Upper gradient threshold.
Example:
examplethresholdsMode
Type: string
Mode used to calculate gradient thresholds.
Enum:
auto,manualContinuous gradient settings.
Example
{ "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }isContinuous
Type: boolean
Whether to use continuous instead of discrete coloring.
paletteState
Type: object
mountedColors
Type: object
[additional]
Type: string
Example:
exampleMapping of field values to colors.
Example
{}palette
Type: string
Color palette identifier.
Example:
exampleDiscrete palette settings.
Example
{ "mountedColors": {}, "palette": "example" }Background color configuration.
Example
{ "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true }settingsId
Type: string
Identifier of the background color settings.
Example:
exampleConditional background settings.
Example
{ "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true } }barsSettings
Type: object
align
Type: string
Bar alignment within table cells.
Enum:
left,right,defaultcolorSettings
One of 3 types
-
Type: object
colorType
Type: string
Use a gradient to color bars.
Const:
gradientExample:
examplesettings
Type: object
gradientType
Type: string
Gradient type.
Enum:
2-point,3-pointthresholds
One of 2 types
-
Type: object
mode
Type: string
Calculate gradient thresholds automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
max
Type: string
Upper gradient threshold.
Example:
examplemin
Type: string
Lower gradient threshold.
Example:
examplemode
Type: string
Use manually specified gradient thresholds.
Const:
manualExample:
examplemid
Type: string
Middle gradient threshold.
Example:
exampleExample
{ "mode": "manual", "min": "example", "mid": "example", "max": "example" }
Thresholds that define the gradient color scale.
Example
{ "mode": "auto" }palette
Type: string
Color palette identifier.
Example:
examplereversed
Type: boolean
Whether to reverse the color palette.
Gradient bar color settings.
Example
{ "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true }Example
{ "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true } } -
-
Type: object
colorType
Type: string
Use one color for all bars.
Const:
one-colorExample:
examplesettings
Type: object
color
Type: string
Custom bar color.
Example:
examplecolorIndex
Type: number
Selected color index in the palette.
palette
Type: string
Color palette identifier.
Example:
exampleSingle-color bar settings.
Example
{ "palette": "example", "colorIndex": 0.5, "color": "example" }Example
{ "colorType": "one-color", "settings": { "palette": "example", "colorIndex": 0.5, "color": "example" } } -
Type: object
colorType
Type: string
Use separate colors for negative and positive bars.
Const:
two-colorExample:
examplesettings
Type: object
negativeColor
Type: string
Custom color for negative values.
Example:
examplenegativeColorIndex
Type: number
Palette color index for negative values.
palette
Type: string
Color palette identifier.
Example:
examplepositiveColor
Type: string
Custom color for positive values.
Example:
examplepositiveColorIndex
Type: number
Palette color index for positive values.
Two-color bar settings.
Example
{ "palette": "example", "negativeColorIndex": 0.5, "negativeColor": "example", "positiveColorIndex": 0.5, "positiveColor": "example" }Example
{ "colorType": "two-color", "settings": { "palette": "example", "negativeColorIndex": 0.5, "negativeColor": "example", "positiveColorIndex": 0.5, "positiveColor": "example" } }
Bar color settings.
Example
{ "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true } }enabled
Type: boolean
Whether to display bars in table cells.
scale
One of 2 types
-
Type: object
mode
Type: string
Calculate the bar scale automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
mode
Type: string
Use a manually specified bar scale.
Const:
manualExample:
examplesettings
Type: object
max
Type: string
Manual maximum scale value.
Example:
examplemin
Type: string
Manual minimum scale value.
Example:
exampleManual bar scale boundaries.
Example
{ "min": "example", "max": "example" }Example
{ "mode": "manual", "settings": { "min": "example", "max": "example" } }
Scale used to calculate bar lengths.
Example
{ "mode": "auto" }showBarsInTotals
Type: boolean
Whether to display bars in total rows.
showLabels
Type: boolean
Whether to display values over bars.
In-cell bar settings.
Example
{ "enabled": true, "colorSettings": { "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": {}, "palette": "example", "reversed": true } }, "showLabels": true, "align": "left", "scale": { "mode": "auto" }, "showBarsInTotals": true }columnSettings
Type: object
width
One of 3 types
-
Type: object
mode
Type: string
Calculate the column width automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
mode
Type: string
Set the column width as a percentage.
Const:
percentExample:
examplevalue
Type: string
Column width percentage.
Example:
exampleExample
{ "mode": "percent", "value": "example" } -
Type: object
mode
Type: string
Set the column width in pixels.
Const:
pixelExample:
examplevalue
Type: string
Column width in pixels.
Example:
exampleExample
{ "mode": "pixel", "value": "example" }
Table column width settings.
Example
{ "mode": "auto" }horizontalAlignment
Type: string
Horizontal alignment of values in the column.
Enum:
auto,start,center,endTable column settings.
Example
{ "width": { "mode": "auto" }, "horizontalAlignment": "auto" }fakeTitle
Type: string
Chart-local display title override for the field.
Example:
exampleformat
Type: string
Date or datetime format, separate from numeric formatting.
Example:
exampleformatting
Type: object
format
Type: string
Number formatting mode.
Enum:
number,percentlabelMode
Type: string
How the formatted label is displayed.
Enum:
absolute,percentpostfix
Type: string
Text displayed after the formatted value.
Example:
exampleprecision
Type: number
Number of decimal places to display.
prefix
Type: string
Text displayed before the formatted value.
Example:
exampleshowRankDelimiter
Type: boolean
Whether to separate digit groups in numbers.
unit
Type: string
Unit used to scale the numeric value.
Enum:
auto,k,m,b,tNumeric formatting settings for the field.
Example
{ "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }hideLabelMode
Type: string
Whether to hide the field label.
Enum:
show,hidehintSettings
Type: object
enabled
Type: boolean
Whether the field hint is enabled.
text
Type: string
Hint text displayed for the field.
Example:
exampleField hint settings.
Example
{ "enabled": true, "text": "example" }markupType
Type: string
Markup type used to render field values.
Enum:
none,md,htmlsubTotalsSettings
Type: object
enabled
Type: boolean
Whether to display subtotals for the field.
Subtotal settings.
Example
{ "enabled": true }Example
{ "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": { "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": null, "palette": "example", "reversed": true } }, "showLabels": true, "align": "left", "scale": { "mode": "auto" }, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true } }, "columnSettings": { "width": { "mode": "auto" }, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "title": "Measure Values", "type": "PSEUDO", "data_type": "float" } -
Example
{
"fakeTitle": "example",
"markupType": "none",
"formatting": {
"format": "number",
"showRankDelimiter": true,
"prefix": "example",
"postfix": "example",
"unit": "auto",
"precision": 0.5,
"labelMode": "absolute"
},
"format": "example",
"hideLabelMode": "show",
"barsSettings": {
"enabled": true,
"colorSettings": {
"colorType": "gradient",
"settings": {}
},
"showLabels": true,
"align": "left",
"scale": {
"mode": "auto"
},
"showBarsInTotals": true
},
"subTotalsSettings": {
"enabled": true
},
"backgroundSettings": {
"enabled": true,
"colorFieldGuid": "example",
"settingsId": "example",
"settings": {
"paletteState": {
"mountedColors": {},
"palette": "example"
},
"gradientState": {
"thresholdsMode": "auto",
"leftThreshold": "example",
"middleThreshold": "example",
"rightThreshold": "example",
"gradientPalette": "example",
"gradientMode": "2-point",
"reversed": true,
"nullMode": "ignore"
},
"isContinuous": true
}
},
"columnSettings": {
"width": {
"mode": "auto"
},
"horizontalAlignment": "auto"
},
"hintSettings": {
"enabled": true,
"text": "example"
},
"guid": "example",
"title": "example",
"data_type": "hierarchy",
"fields": [
{
"fakeTitle": "example",
"markupType": "none",
"formatting": {
"format": "number",
"showRankDelimiter": true,
"prefix": "example",
"postfix": "example",
"unit": "auto",
"precision": 0.5,
"labelMode": "absolute"
},
"format": "example",
"hideLabelMode": "show",
"barsSettings": {
"enabled": true,
"colorSettings": null,
"showLabels": true,
"align": "left",
"scale": null,
"showBarsInTotals": true
},
"subTotalsSettings": {
"enabled": true
},
"backgroundSettings": {
"enabled": true,
"colorFieldGuid": "example",
"settingsId": "example",
"settings": {}
},
"columnSettings": {
"width": null,
"horizontalAlignment": "auto"
},
"hintSettings": {
"enabled": true,
"text": "example"
},
"guid": "example",
"datasetId": "example"
}
]
}
WizardV1LineShapeSettingsSchema
|
Name |
Description |
|
linecap |
Type: string Shape used at line endpoints. Enum: |
|
linejoin |
Type: string Shape used at line segment joins. Enum: |
|
lineWidth |
Any of 2 types
Line width in pixels or automatic width. Example: |
Example
{
"lineWidth": 0.5,
"linecap": "butt",
"linejoin": "bevel"
}
WizardLabelsItemSchema
All of 2 types
-
Type: WizardFieldSchema
Example
{ "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": { "colorType": "gradient", "settings": {} }, "showLabels": true, "align": "left", "scale": { "mode": "auto" }, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true } }, "columnSettings": { "width": { "mode": "auto" }, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "guid": "example", "title": "example", "data_type": "hierarchy", "fields": [ { "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": null, "showLabels": true, "align": "left", "scale": null, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": {} }, "columnSettings": { "width": null, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "guid": "example", "datasetId": "example" } ] } -
Type: object
labelPercentageBase
Type: string
Base used to calculate percentage labels.
Enum:
auto,first,previousExample
{ "labelPercentageBase": "auto" }
Example
{
"fakeTitle": "example",
"markupType": "none",
"formatting": {
"format": "number",
"showRankDelimiter": true,
"prefix": "example",
"postfix": "example",
"unit": "auto",
"precision": 0.5,
"labelMode": "absolute"
},
"format": "example",
"hideLabelMode": "show",
"barsSettings": {
"enabled": true,
"colorSettings": {},
"showLabels": true,
"align": "left",
"scale": {},
"showBarsInTotals": true
},
"subTotalsSettings": {
"enabled": true
},
"backgroundSettings": {
"enabled": true,
"colorFieldGuid": "example",
"settingsId": "example",
"settings": {
"paletteState": {},
"gradientState": {},
"isContinuous": true
}
},
"columnSettings": {
"width": {},
"horizontalAlignment": "auto"
},
"hintSettings": {
"enabled": true,
"text": "example"
},
"guid": "example",
"title": "example",
"data_type": "hierarchy",
"fields": [
{
"fakeTitle": "example",
"markupType": "none",
"formatting": {},
"format": "example",
"hideLabelMode": "show",
"barsSettings": {},
"subTotalsSettings": {},
"backgroundSettings": {},
"columnSettings": {},
"hintSettings": {},
"guid": "example",
"datasetId": "example"
}
],
"labelPercentageBase": "auto"
}
WizardPseudoFieldSchema
Any of 2 types
-
Type: object
data_type
Type: string
String data type of the Measure Names pseudo-field.
Const:
stringExample:
exampletitle
Type: string
Title identifying the Measure Names pseudo-field.
Const:
Measure NamesExample:
exampletype
Type: string
Field type identifying a pseudo-field.
Const:
PSEUDOExample:
examplebackgroundSettings
Type: object
colorFieldGuid
Type: string
Identifier of the field used to color the background.
Example:
exampleenabled
Type: boolean
Whether conditional background coloring is enabled.
settings
Type: object
gradientState
Type: object
gradientMode
Type: string
Gradient type.
Enum:
2-point,3-pointgradientPalette
Type: string
Gradient palette identifier.
Example:
exampleleftThreshold
Type: string
Lower gradient threshold.
Example:
examplemiddleThreshold
Type: string
Middle gradient threshold.
Example:
examplenullMode
Type: string
How null values are colored.
Enum:
ignore,as-0reversed
Type: boolean
Whether to reverse the gradient palette.
rightThreshold
Type: string
Upper gradient threshold.
Example:
examplethresholdsMode
Type: string
Mode used to calculate gradient thresholds.
Enum:
auto,manualContinuous gradient settings.
Example
{ "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }isContinuous
Type: boolean
Whether to use continuous instead of discrete coloring.
paletteState
Type: object
mountedColors
Type: object
[additional]
Type: string
Example:
exampleMapping of field values to colors.
Example
{}palette
Type: string
Color palette identifier.
Example:
exampleDiscrete palette settings.
Example
{ "mountedColors": {}, "palette": "example" }Background color configuration.
Example
{ "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true }settingsId
Type: string
Identifier of the background color settings.
Example:
exampleConditional background settings.
Example
{ "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true } }barsSettings
Type: object
align
Type: string
Bar alignment within table cells.
Enum:
left,right,defaultcolorSettings
One of 3 types
-
Type: object
colorType
Type: string
Use a gradient to color bars.
Const:
gradientExample:
examplesettings
Type: object
gradientType
Type: string
Gradient type.
Enum:
2-point,3-pointthresholds
One of 2 types
-
Type: object
mode
Type: string
Calculate gradient thresholds automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
max
Type: string
Upper gradient threshold.
Example:
examplemin
Type: string
Lower gradient threshold.
Example:
examplemode
Type: string
Use manually specified gradient thresholds.
Const:
manualExample:
examplemid
Type: string
Middle gradient threshold.
Example:
exampleExample
{ "mode": "manual", "min": "example", "mid": "example", "max": "example" }
Thresholds that define the gradient color scale.
Example
{ "mode": "auto" }palette
Type: string
Color palette identifier.
Example:
examplereversed
Type: boolean
Whether to reverse the color palette.
Gradient bar color settings.
Example
{ "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true }Example
{ "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true } } -
-
Type: object
colorType
Type: string
Use one color for all bars.
Const:
one-colorExample:
examplesettings
Type: object
color
Type: string
Custom bar color.
Example:
examplecolorIndex
Type: number
Selected color index in the palette.
palette
Type: string
Color palette identifier.
Example:
exampleSingle-color bar settings.
Example
{ "palette": "example", "colorIndex": 0.5, "color": "example" }Example
{ "colorType": "one-color", "settings": { "palette": "example", "colorIndex": 0.5, "color": "example" } } -
Type: object
colorType
Type: string
Use separate colors for negative and positive bars.
Const:
two-colorExample:
examplesettings
Type: object
negativeColor
Type: string
Custom color for negative values.
Example:
examplenegativeColorIndex
Type: number
Palette color index for negative values.
palette
Type: string
Color palette identifier.
Example:
examplepositiveColor
Type: string
Custom color for positive values.
Example:
examplepositiveColorIndex
Type: number
Palette color index for positive values.
Two-color bar settings.
Example
{ "palette": "example", "negativeColorIndex": 0.5, "negativeColor": "example", "positiveColorIndex": 0.5, "positiveColor": "example" }Example
{ "colorType": "two-color", "settings": { "palette": "example", "negativeColorIndex": 0.5, "negativeColor": "example", "positiveColorIndex": 0.5, "positiveColor": "example" } }
Bar color settings.
Example
{ "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true } }enabled
Type: boolean
Whether to display bars in table cells.
scale
One of 2 types
-
Type: object
mode
Type: string
Calculate the bar scale automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
mode
Type: string
Use a manually specified bar scale.
Const:
manualExample:
examplesettings
Type: object
max
Type: string
Manual maximum scale value.
Example:
examplemin
Type: string
Manual minimum scale value.
Example:
exampleManual bar scale boundaries.
Example
{ "min": "example", "max": "example" }Example
{ "mode": "manual", "settings": { "min": "example", "max": "example" } }
Scale used to calculate bar lengths.
Example
{ "mode": "auto" }showBarsInTotals
Type: boolean
Whether to display bars in total rows.
showLabels
Type: boolean
Whether to display values over bars.
In-cell bar settings.
Example
{ "enabled": true, "colorSettings": { "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": {}, "palette": "example", "reversed": true } }, "showLabels": true, "align": "left", "scale": { "mode": "auto" }, "showBarsInTotals": true }columnSettings
Type: object
width
One of 3 types
-
Type: object
mode
Type: string
Calculate the column width automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
mode
Type: string
Set the column width as a percentage.
Const:
percentExample:
examplevalue
Type: string
Column width percentage.
Example:
exampleExample
{ "mode": "percent", "value": "example" } -
Type: object
mode
Type: string
Set the column width in pixels.
Const:
pixelExample:
examplevalue
Type: string
Column width in pixels.
Example:
exampleExample
{ "mode": "pixel", "value": "example" }
Table column width settings.
Example
{ "mode": "auto" }horizontalAlignment
Type: string
Horizontal alignment of values in the column.
Enum:
auto,start,center,endTable column settings.
Example
{ "width": { "mode": "auto" }, "horizontalAlignment": "auto" }fakeTitle
Type: string
Chart-local display title override for the field.
Example:
exampleformat
Type: string
Date or datetime format, separate from numeric formatting.
Example:
exampleformatting
Type: object
format
Type: string
Number formatting mode.
Enum:
number,percentlabelMode
Type: string
How the formatted label is displayed.
Enum:
absolute,percentpostfix
Type: string
Text displayed after the formatted value.
Example:
exampleprecision
Type: number
Number of decimal places to display.
prefix
Type: string
Text displayed before the formatted value.
Example:
exampleshowRankDelimiter
Type: boolean
Whether to separate digit groups in numbers.
unit
Type: string
Unit used to scale the numeric value.
Enum:
auto,k,m,b,tNumeric formatting settings for the field.
Example
{ "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }hideLabelMode
Type: string
Whether to hide the field label.
Enum:
show,hidehintSettings
Type: object
enabled
Type: boolean
Whether the field hint is enabled.
text
Type: string
Hint text displayed for the field.
Example:
exampleField hint settings.
Example
{ "enabled": true, "text": "example" }markupType
Type: string
Markup type used to render field values.
Enum:
none,md,htmlsubTotalsSettings
Type: object
enabled
Type: boolean
Whether to display subtotals for the field.
Subtotal settings.
Example
{ "enabled": true }Example
{ "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": { "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": null, "palette": "example", "reversed": true } }, "showLabels": true, "align": "left", "scale": { "mode": "auto" }, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true } }, "columnSettings": { "width": { "mode": "auto" }, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "title": "Measure Names", "type": "PSEUDO", "data_type": "string" } -
-
Type: object
data_type
Type: string
Numeric data type of the Measure Values pseudo-field.
Const:
floatExample:
exampletitle
Type: string
Title identifying the Measure Values pseudo-field.
Const:
Measure ValuesExample:
exampletype
Type: string
Field type identifying a pseudo-field.
Const:
PSEUDOExample:
examplebackgroundSettings
Type: object
colorFieldGuid
Type: string
Identifier of the field used to color the background.
Example:
exampleenabled
Type: boolean
Whether conditional background coloring is enabled.
settings
Type: object
gradientState
Type: object
gradientMode
Type: string
Gradient type.
Enum:
2-point,3-pointgradientPalette
Type: string
Gradient palette identifier.
Example:
exampleleftThreshold
Type: string
Lower gradient threshold.
Example:
examplemiddleThreshold
Type: string
Middle gradient threshold.
Example:
examplenullMode
Type: string
How null values are colored.
Enum:
ignore,as-0reversed
Type: boolean
Whether to reverse the gradient palette.
rightThreshold
Type: string
Upper gradient threshold.
Example:
examplethresholdsMode
Type: string
Mode used to calculate gradient thresholds.
Enum:
auto,manualContinuous gradient settings.
Example
{ "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }isContinuous
Type: boolean
Whether to use continuous instead of discrete coloring.
paletteState
Type: object
mountedColors
Type: object
[additional]
Type: string
Example:
exampleMapping of field values to colors.
Example
{}palette
Type: string
Color palette identifier.
Example:
exampleDiscrete palette settings.
Example
{ "mountedColors": {}, "palette": "example" }Background color configuration.
Example
{ "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true }settingsId
Type: string
Identifier of the background color settings.
Example:
exampleConditional background settings.
Example
{ "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true } }barsSettings
Type: object
align
Type: string
Bar alignment within table cells.
Enum:
left,right,defaultcolorSettings
One of 3 types
-
Type: object
colorType
Type: string
Use a gradient to color bars.
Const:
gradientExample:
examplesettings
Type: object
gradientType
Type: string
Gradient type.
Enum:
2-point,3-pointthresholds
One of 2 types
-
Type: object
mode
Type: string
Calculate gradient thresholds automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
max
Type: string
Upper gradient threshold.
Example:
examplemin
Type: string
Lower gradient threshold.
Example:
examplemode
Type: string
Use manually specified gradient thresholds.
Const:
manualExample:
examplemid
Type: string
Middle gradient threshold.
Example:
exampleExample
{ "mode": "manual", "min": "example", "mid": "example", "max": "example" }
Thresholds that define the gradient color scale.
Example
{ "mode": "auto" }palette
Type: string
Color palette identifier.
Example:
examplereversed
Type: boolean
Whether to reverse the color palette.
Gradient bar color settings.
Example
{ "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true }Example
{ "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true } } -
-
Type: object
colorType
Type: string
Use one color for all bars.
Const:
one-colorExample:
examplesettings
Type: object
color
Type: string
Custom bar color.
Example:
examplecolorIndex
Type: number
Selected color index in the palette.
palette
Type: string
Color palette identifier.
Example:
exampleSingle-color bar settings.
Example
{ "palette": "example", "colorIndex": 0.5, "color": "example" }Example
{ "colorType": "one-color", "settings": { "palette": "example", "colorIndex": 0.5, "color": "example" } } -
Type: object
colorType
Type: string
Use separate colors for negative and positive bars.
Const:
two-colorExample:
examplesettings
Type: object
negativeColor
Type: string
Custom color for negative values.
Example:
examplenegativeColorIndex
Type: number
Palette color index for negative values.
palette
Type: string
Color palette identifier.
Example:
examplepositiveColor
Type: string
Custom color for positive values.
Example:
examplepositiveColorIndex
Type: number
Palette color index for positive values.
Two-color bar settings.
Example
{ "palette": "example", "negativeColorIndex": 0.5, "negativeColor": "example", "positiveColorIndex": 0.5, "positiveColor": "example" }Example
{ "colorType": "two-color", "settings": { "palette": "example", "negativeColorIndex": 0.5, "negativeColor": "example", "positiveColorIndex": 0.5, "positiveColor": "example" } }
Bar color settings.
Example
{ "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": { "mode": "auto" }, "palette": "example", "reversed": true } }enabled
Type: boolean
Whether to display bars in table cells.
scale
One of 2 types
-
Type: object
mode
Type: string
Calculate the bar scale automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
mode
Type: string
Use a manually specified bar scale.
Const:
manualExample:
examplesettings
Type: object
max
Type: string
Manual maximum scale value.
Example:
examplemin
Type: string
Manual minimum scale value.
Example:
exampleManual bar scale boundaries.
Example
{ "min": "example", "max": "example" }Example
{ "mode": "manual", "settings": { "min": "example", "max": "example" } }
Scale used to calculate bar lengths.
Example
{ "mode": "auto" }showBarsInTotals
Type: boolean
Whether to display bars in total rows.
showLabels
Type: boolean
Whether to display values over bars.
In-cell bar settings.
Example
{ "enabled": true, "colorSettings": { "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": {}, "palette": "example", "reversed": true } }, "showLabels": true, "align": "left", "scale": { "mode": "auto" }, "showBarsInTotals": true }columnSettings
Type: object
width
One of 3 types
-
Type: object
mode
Type: string
Calculate the column width automatically.
Const:
autoExample:
exampleExample
{ "mode": "auto" } -
Type: object
mode
Type: string
Set the column width as a percentage.
Const:
percentExample:
examplevalue
Type: string
Column width percentage.
Example:
exampleExample
{ "mode": "percent", "value": "example" } -
Type: object
mode
Type: string
Set the column width in pixels.
Const:
pixelExample:
examplevalue
Type: string
Column width in pixels.
Example:
exampleExample
{ "mode": "pixel", "value": "example" }
Table column width settings.
Example
{ "mode": "auto" }horizontalAlignment
Type: string
Horizontal alignment of values in the column.
Enum:
auto,start,center,endTable column settings.
Example
{ "width": { "mode": "auto" }, "horizontalAlignment": "auto" }fakeTitle
Type: string
Chart-local display title override for the field.
Example:
exampleformat
Type: string
Date or datetime format, separate from numeric formatting.
Example:
exampleformatting
Type: object
format
Type: string
Number formatting mode.
Enum:
number,percentlabelMode
Type: string
How the formatted label is displayed.
Enum:
absolute,percentpostfix
Type: string
Text displayed after the formatted value.
Example:
exampleprecision
Type: number
Number of decimal places to display.
prefix
Type: string
Text displayed before the formatted value.
Example:
exampleshowRankDelimiter
Type: boolean
Whether to separate digit groups in numbers.
unit
Type: string
Unit used to scale the numeric value.
Enum:
auto,k,m,b,tNumeric formatting settings for the field.
Example
{ "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }hideLabelMode
Type: string
Whether to hide the field label.
Enum:
show,hidehintSettings
Type: object
enabled
Type: boolean
Whether the field hint is enabled.
text
Type: string
Hint text displayed for the field.
Example:
exampleField hint settings.
Example
{ "enabled": true, "text": "example" }markupType
Type: string
Markup type used to render field values.
Enum:
none,md,htmlsubTotalsSettings
Type: object
enabled
Type: boolean
Whether to display subtotals for the field.
Subtotal settings.
Example
{ "enabled": true }Example
{ "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": { "colorType": "gradient", "settings": { "gradientType": "2-point", "thresholds": null, "palette": "example", "reversed": true } }, "showLabels": true, "align": "left", "scale": { "mode": "auto" }, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true } }, "columnSettings": { "width": { "mode": "auto" }, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "title": "Measure Values", "type": "PSEUDO", "data_type": "float" } -
Example
{
"fakeTitle": "example",
"markupType": "none",
"formatting": {
"format": "number",
"showRankDelimiter": true,
"prefix": "example",
"postfix": "example",
"unit": "auto",
"precision": 0.5,
"labelMode": "absolute"
},
"format": "example",
"hideLabelMode": "show",
"barsSettings": {
"enabled": true,
"colorSettings": {
"colorType": "gradient",
"settings": {}
},
"showLabels": true,
"align": "left",
"scale": {
"mode": "auto"
},
"showBarsInTotals": true
},
"subTotalsSettings": {
"enabled": true
},
"backgroundSettings": {
"enabled": true,
"colorFieldGuid": "example",
"settingsId": "example",
"settings": {
"paletteState": {
"mountedColors": {},
"palette": "example"
},
"gradientState": {
"thresholdsMode": "auto",
"leftThreshold": "example",
"middleThreshold": "example",
"rightThreshold": "example",
"gradientPalette": "example",
"gradientMode": "2-point",
"reversed": true,
"nullMode": "ignore"
},
"isContinuous": true
}
},
"columnSettings": {
"width": {
"mode": "auto"
},
"horizontalAlignment": "auto"
},
"hintSettings": {
"enabled": true,
"text": "example"
},
"title": "Measure Names",
"type": "PSEUDO",
"data_type": "string"
}
WizardSortItemSchema
Any of 2 types
-
Type: object
datasetId
Type: string
Identifier of the dataset containing the field.
Example:
exampledirection
Type: string
Sort direction.
Enum:
ASC,DESCguid
Type: string
Identifier of the field used for sorting.
Example:
examplefakeTitle
Type: string
Chart-local display title override for the field.
Example:
exampleformat
Type: string
Date or datetime format, separate from numeric formatting.
Example:
exampleExample
{ "fakeTitle": "example", "format": "example", "direction": "ASC", "guid": "example", "datasetId": "example" } -
All of 2 types
-
Type: WizardPseudoFieldSchema
Example
{ "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": { "colorType": "gradient", "settings": {} }, "showLabels": true, "align": "left", "scale": { "mode": "auto" }, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": { "mountedColors": {}, "palette": "example" }, "gradientState": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "reversed": true, "nullMode": "ignore" }, "isContinuous": true } }, "columnSettings": { "width": { "mode": "auto" }, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "title": "Measure Names", "type": "PSEUDO", "data_type": "string" } -
Type: object
direction
Type: string
Sort direction.
Enum:
ASC,DESCfakeTitle
Type: string
Chart-local display title override for the field.
Example:
exampleformat
Type: string
Date or datetime format, separate from numeric formatting.
Example:
exampleExample
{ "fakeTitle": "example", "format": "example", "direction": "ASC" }
Example
{ "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": {}, "showLabels": true, "align": "left", "scale": {}, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": {}, "gradientState": {}, "isContinuous": true } }, "columnSettings": { "width": {}, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "title": "Measure Names", "type": "PSEUDO", "data_type": "string", "direction": "ASC" } -
Example
{
"fakeTitle": "example",
"format": "example",
"direction": "ASC",
"guid": "example",
"datasetId": "example"
}
WizardV1GeolayerLayerSchema
One of 5 types
-
Type: object
layerSettings
Type: object
id
Type: string
Unique layer identifier.
Example:
examplename
Type: string
Layer display name.
Example:
examplealpha
Type: number
Layer opacity as a percentage from 0 to 100.
Geographic layer configuration.
Example
{ "id": "example", "name": "example", "alpha": 0.5 }points
Type: object
items
Type: WizardFieldSchema[]
Fields containing point coordinates.
Example
[ { "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": {}, "showLabels": true, "align": "left", "scale": {}, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": {}, "gradientState": {}, "isContinuous": true } }, "columnSettings": { "width": {}, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "guid": "example", "title": "example", "data_type": "hierarchy", "fields": [ { "fakeTitle": "example", "markupType": "none", "formatting": {}, "format": "example", "hideLabelMode": "show", "barsSettings": {}, "subTotalsSettings": {}, "backgroundSettings": {}, "columnSettings": {}, "hintSettings": {}, "guid": "example", "datasetId": "example" } ] } ]Point coordinate configuration.
Example
{ "items": [ { "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": null, "showLabels": true, "align": "left", "scale": null, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": {} }, "columnSettings": { "width": null, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "guid": "example", "title": "example", "data_type": "hierarchy", "fields": [ {} ] } ] }type
Type: string
Geopoint layer type.
Const:
geopointExample:
examplecolors
Type: object
items
Type: WizardFieldSchema[]
Fields used for color encoding.
Example
[ { "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": {}, "showLabels": true, "align": "left", "scale": {}, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": {}, "gradientState": {}, "isContinuous": true } }, "columnSettings": { "width": {}, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "guid": "example", "title": "example", "data_type": "hierarchy", "fields": [ { "fakeTitle": "example", "markupType": "none", "formatting": {}, "format": "example", "hideLabelMode": "show", "barsSettings": {}, "subTotalsSettings": {}, "backgroundSettings": {}, "columnSettings": {}, "hintSettings": {}, "guid": "example", "datasetId": "example" } ] } ]settings
Type: object
coloredByMeasure
Type: boolean
Whether colors are determined by a measure.
colorMode
Type: string
Color assignment mode.
Enum:
palette,gradientfieldGuid
Type: string
Identifier of the field used for coloring.
Example:
examplegradientMode
Type: string
Gradient type.
Enum:
2-point,3-pointgradientPalette
Type: string
Gradient palette identifier.
Example:
exampleleftThreshold
Type: string
Lower gradient threshold.
Example:
examplemiddleThreshold
Type: string
Middle gradient threshold.
Example:
examplemountedColors
Type: object
[additional]
Type: string
Example:
exampleMapping of field values to colors.
Example
{}nullMode
Type: string
How null values are colored.
Enum:
ignore,as-0palette
Type: string
Color palette identifier.
Example:
examplepolygonBorders
Type: string
Whether polygon borders are displayed.
Enum:
show,hidereversed
Type: boolean
Whether to reverse the color palette.
rightThreshold
Type: string
Upper gradient threshold.
Example:
examplethresholdsMode
Type: string
Mode used to calculate gradient thresholds.
Enum:
auto,manualColor settings.
Example
{ "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "polygonBorders": "show", "reversed": true, "fieldGuid": "example", "mountedColors": {}, "coloredByMeasure": true, "palette": "example", "colorMode": "palette", "nullMode": "ignore" }Color configuration.
Example
{ "items": [ { "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": null, "showLabels": true, "align": "left", "scale": null, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": {} }, "columnSettings": { "width": null, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "guid": "example", "title": "example", "data_type": "hierarchy", "fields": [ {} ] } ], "settings": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "polygonBorders": "show", "reversed": true, "fieldGuid": "example", "mountedColors": {}, "coloredByMeasure": true, "palette": "example", "colorMode": "palette", "nullMode": "ignore" } }filters
Type: object
items
Type: WizardV1FiltersItemSchema[]
Filters applied to the layer.
Example
[ { "guid": "example", "datasetId": "example", "fakeTitle": "example", "filter": { "operation": { "code": "example" }, "value": "example" } } ]Filter configuration.
Example
{ "items": [ { "guid": "example", "datasetId": "example", "fakeTitle": "example", "filter": { "operation": { "code": "example" }, "value": "example" } } ] }labels
Type: object
items
Type: WizardLabelsItemSchema[]
Fields whose values are displayed as point labels.
Example
[ { "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": null, "showLabels": true, "align": "left", "scale": null, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": {} }, "columnSettings": { "width": null, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "guid": "example", "title": "example", "data_type": "hierarchy", "fields": [ {} ], "labelPercentageBase": "auto" } ]Data label configuration.
Example
{ "items": [ { "fakeTitle": "example", "markupType": "none", "formatting": {}, "format": "example", "hideLabelMode": "show", "barsSettings": {}, "subTotalsSettings": {}, "backgroundSettings": {}, "columnSettings": {}, "hintSettings": {}, "guid": "example", "title": "example", "data_type": "hierarchy", "fields": [ null ], "labelPercentageBase": "auto" } ] }size
Type: object
items
Type: WizardFieldSchema[]
Fields used to determine map point sizes.
Example
[ { "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": {}, "showLabels": true, "align": "left", "scale": {}, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": {}, "gradientState": {}, "isContinuous": true } }, "columnSettings": { "width": {}, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "guid": "example", "title": "example", "data_type": "hierarchy", "fields": [ { "fakeTitle": "example", "markupType": "none", "formatting": {}, "format": "example", "hideLabelMode": "show", "barsSettings": {}, "subTotalsSettings": {}, "backgroundSettings": {}, "columnSettings": {}, "hintSettings": {}, "guid": "example", "datasetId": "example" } ] } ]settings
Type: object
radius
Type: number
Radius of map points in pixels.
Map point size settings.
Example
{ "radius": 0.5 }Point size configuration.
Example
{ "items": [ { "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": null, "showLabels": true, "align": "left", "scale": null, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": {} }, "columnSettings": { "width": null, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "guid": "example", "title": "example", "data_type": "hierarchy", "fields": [ {} ] } ], "settings": { "radius": 0.5 } }tooltip
Type: object
items
Type: WizardFieldSchema[]
Fields displayed in point tooltips.
Example
[ { "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": {}, "showLabels": true, "align": "left", "scale": {}, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": { "paletteState": {}, "gradientState": {}, "isContinuous": true } }, "columnSettings": { "width": {}, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "guid": "example", "title": "example", "data_type": "hierarchy", "fields": [ { "fakeTitle": "example", "markupType": "none", "formatting": {}, "format": "example", "hideLabelMode": "show", "barsSettings": {}, "subTotalsSettings": {}, "backgroundSettings": {}, "columnSettings": {}, "hintSettings": {}, "guid": "example", "datasetId": "example" } ] } ]settings
Type: object
color
Type: string
Whether to display series colors in the tooltip.
Enum:
on,offfieldTitle
Type: string
Whether to display field titles in the tooltip.
Enum:
on,offTooltip display settings.
Example
{ "color": "on", "fieldTitle": "on" }Tooltip configuration.
Example
{ "items": [ { "fakeTitle": "example", "markupType": "none", "formatting": { "format": "number", "showRankDelimiter": true, "prefix": "example", "postfix": "example", "unit": "auto", "precision": 0.5, "labelMode": "absolute" }, "format": "example", "hideLabelMode": "show", "barsSettings": { "enabled": true, "colorSettings": null, "showLabels": true, "align": "left", "scale": null, "showBarsInTotals": true }, "subTotalsSettings": { "enabled": true }, "backgroundSettings": { "enabled": true, "colorFieldGuid": "example", "settingsId": "example", "settings": {} }, "columnSettings": { "width": null, "horizontalAlignment": "auto" }, "hintSettings": { "enabled": true, "text": "example" }, "guid": "example", "title": "example", "data_type": "hierarchy", "fields": [ {} ] } ], "settings": { "color": "on", "fieldTitle": "on" } }Example
{ "type": "geopoint", "layerSettings": { "id": "example", "name": "example", "alpha": 0.5 }, "points": { "items": [ { "fakeTitle": "example", "markupType": "none", "formatting": {}, "format": "example", "hideLabelMode": "show", "barsSettings": {}, "subTotalsSettings": {}, "backgroundSettings": {}, "columnSettings": {}, "hintSettings": {}, "guid": "example", "title": "example", "data_type": "hierarchy", "fields": [ null ] } ] }, "size": { "items": [ null ], "settings": { "radius": 0.5 } }, "colors": { "items": [ null ], "settings": { "thresholdsMode": "auto", "leftThreshold": "example", "middleThreshold": "example", "rightThreshold": "example", "gradientPalette": "example", "gradientMode": "2-point", "polygonBorders": "show", "reversed": true, "fieldGuid": "example", "mountedColors": {}, "coloredByMeasure": true, "palette": "example", "colorMode": "palette", "nullMode": "ignore" } }, "labels": { "items": [ null ] }, "tooltip": { "items": [ null ], "settings": { "color": "on", "fieldTitle": "on" } }, "filters": { "items": [ { "guid": "example", "datasetId": "example", "fakeTitle": "example", "filter": { "operation": {}, "value": null } } ] } } -
Type: object
layerSettings
Type: object
id
Type: string
Unique layer identifier.
Example:
examplename
Type: string
Layer display name.
Example:
examplealpha
Type: number
Layer opacity as a percentage from 0 to 100.
[...]
